Package org.springframework.security.web.server.authentication.ott

# Interface ServerOneTimeTokenGenerationSuccessHandler

All Known Implementing Classes:
  `ServerRedirectOneTimeTokenGenerationSuccessHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ServerOneTimeTokenGenerationSuccessHandler
Defines a reactive strategy to handle generated one-time tokens.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)`
Handles generated one-time tokens

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)
Handles generated one-time tokens

Parameters:
  `exchange` - the `ServerWebExchange` to use
  `oneTimeToken` - the `OneTimeToken` to handle
Returns:
  a completion handling (success or error)